## ros-indigo-roch-sensorpc 1.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_sensorpc)
find_package(catkin REQUIRED COMPONENTS roscpp nodelet sensor_msgs roch_msgs)
find_package(Boost REQUIRED COMPONENTS chrono)

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS roscpp nodelet  sensor_msgs roch_msgs
   DEPENDS Boost
)

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_executable(roch_sensorpc_nodelet src/roch_sensorpc.cpp)
add_dependencies(roch_sensorpc_nodelet sensor_msgs_gencpp roch_msgs_gencpp)
target_link_libraries(roch_sensorpc_nodelet ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS roch_sensorpc_nodelet
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-roch-sensorpc (1.0.17-0trusty) trusty; urgency=high

  * Remap email and website.
  * Contributors: doudou0114

 -- Carl <carlzhang@soyrobotics.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.16-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.15-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.14-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.13-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.12-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.11-0trusty) trusty; urgency=high

  * Modify websites.
  * Add application of roch_sensorpc_nodelet used in install.

 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.10-0trusty) trusty; urgency=high

  * Add author Jorge Santos Simon.

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.9-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.8-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.7-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Fri, 20 Jan 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (1.0.6-0trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-sensorpc (0.0.2-0trusty) trusty; urgency=high

  * Repatch some bugs that cannt modify all build-in parameters.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Wed, 14 Dec 2016 16:00:00 -0000

ros-indigo-roch-sensorpc (0.0.1-0trusty) trusty; urgency=high

  * Refrence YujinRobot' kobuki.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Tue, 29 Nov 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch-sensorpc
Section: misc
Priority: extra
Maintainer: Carl <carlzhang@soyrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-nodelet, ros-indigo-roch-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/roch_sensorpc
Standards-Version: 3.9.2

Package: ros-indigo-roch-sensorpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nodelet, ros-indigo-roch-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: Ult/psd/cliff to pointcloud: Publish Ult, cliff, and psd sensors events as points in a pointcloud, so navistack can use them for poor-man navigation.
 Implemented intended to run together with roch_base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch-sensorpc//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
